## debian-installer 20070308etch7

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_ARCH DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))


# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/local
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg

export KEYRING

# Useful command sequences
define submake
  $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -r 0
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) |grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS
	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
		else \
			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
		fi; \
		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
		if [ -d $(TREE)/lib/modules/$(VERSION) ]; then \
			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \
			$(shell choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
		fi; \
		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)

	# These files depmod makes are used by hotplug, if it's being used;
	# otherwise, we shouldn't need them. Some files aren't even used by
	# hotplug, so never include them.
	if [ -d $(TREE)/etc/udev ] || [ -d $(TREE)/etc/hotplug ]; then \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -name modules.alias \
			-not -name 'modules.*map' \
			-not -type d | xargs rm -f; \
	else \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -type d | xargs rm -f; \
	fi

	# These files are used to build special kernel images for some
	# subarchitectures. Move them out of the way.
	$(foreach VERSION,$(KERNELVERSION), \
		if [ -d $(TREE)/usr/lib/kernel-image-$(VERSION) ]; then \
			mv $(TREE)/usr/lib/kernel-image-$(VERSION) \
				$(TEMP)/lib; \
		fi; \
		if [ -d $(TREE)/usr/lib/linux-image-$(VERSION) ]; then \
			mv $(TREE)/usr/lib/linux-image-$(VERSION) \
				$(TEMP)/lib; \
		fi;)
endif

ifdef KERNELNAME
	# Move the kernel image out of the way.
	$(foreach name,$(KERNELNAME), \
		mv -f $(TREE)/boot/$(name) $(TEMP)/$(name);)
	rmdir $(TREE)/boot/
endif

ifdef PRESEED
	# Copy in preseed file.
	cp -a $(PRESEED) $(TREE)/preseed.cfg
endif
ifdef PRESEED_SUITE
	# Add suite preseed file.
	if [ -e "$(TREE)/preseed.cfg" ]; then \
		cat $(PRESEED_SUITE) >> $(TREE)/preseed.cfg; \
	else \
		cp -a $(PRESEED_SUITE) $(TREE)/preseed.cfg; \
	fi
endif

ifneq (,$(wildcard $(KEYRING)))
	mkdir -p $(TREE)/usr/share/keyrings

=== debian/changelog ===
debian-installer (20070308etch7) oldstable; urgency=low

  * Rebuild for Etch oldstable point release.

 -- dann frazier <dannf@debian.org>  Sun, 28 Feb 2010 20:58:52 -0700

debian-installer (20070308etch6) oldstable; urgency=low

  * Rebuild for Etch oldstable point release. Hopefully closes: #536353.

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 16:02:49 +0100

debian-installer (20070308etch5) oldstable; urgency=low

  * Rebuild to avoid .svn files in the tarball

 -- Otavio Salvador <otavio@debian.org>  Tue, 07 Apr 2009 23:12:15 -0300

debian-installer (20070308etch4) oldstable; urgency=low

  * Rebuild to ensure that we include the updated archive key.

 -- Otavio Salvador <otavio@debian.org>  Sat, 04 Apr 2009 14:31:19 -0300

debian-installer (20070308etch3) stable; urgency=low

  * Rebuild to ensure the installer includes fixed versions of openssh for
    the SSH key vulnerability (DSA-1576-1). This affects architectures
    using network-console (arm, mipsel) and generic (s390) images.
    The upcoming 4.0r4 point release will ensure fixed versions of openssh
    are also included for all CD-based installations.
    Closes: #491263.

 -- Frans Pop <fjp@debian.org>  Sat, 19 Jul 2008 10:03:12 +0200

debian-installer (20070308etch2) stable; urgency=low

  * Update all architectures to use 2.6.18-6 kernels.

 -- Frans Pop <fjp@debian.org>  Tue,  5 Feb 2008 13:06:17 +0000

debian-installer (20070308etch1) stable; urgency=low

  * Excluding non-us for sources.list.udeb should no longer be needed; add
    exclusion for volatile.debian.{org,net}.
  * Support distribution equal to stable and oldstable.
  * Update all architectures to use 2.6.18-5 kernels.
  * Use keyring from debian-archive-keyring if it is available even if KEYRING
    is not set. Needed to work around a build error for the i386 boot floppy
    target.

 -- Frans Pop <fjp@debian.org>  Fri, 15 Jun 2007 11:28:59 +0200

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>, Frans Pop <fjp@debian.org>
Standards-Version: 3.6.2
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, debian-archive-keyring (>= 2006.11.22), dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], libgcc1 [amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), mkisofs, genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], modutils [mips mipsel powerpc], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 4)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- debian-archive-keyring (>= 2006.11.22)
#		To provide the archive key for security checks.
#	- dpkg (>= 1.13.9)
#		We tweak dpkg logging options only understood by this
#		version.
#	- grep-dctrl
#		Various manipulations of the udeb Packages files.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [amd64]
#		On amd64 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.15)
#		We use mklibs for library reduction.
#	- mkisofs
#		For making mini isos.
#	- genromfs [sparc]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc ppc64]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools [i386 ia64 m68k amd64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#	- cpio
#		For creating initramfs images.
#	- devio [arm armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- slugimage (>= 0.10+r58-6) [arm armeb armel]
#		For building nslu2 firmware images.
#	- nwutil [arm]
#		For building netwinder netinst images.
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2.11-0.1) [i386 amd64]
#		There were some crippling bugs in version 2.10.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc ppc64]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- delo [mipsel]
#		For booting DECstations from storage media.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo (>= 1.21-1) [mipsel]
#		For booting Cobalt machines. This version has TFTP support.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- apex-nslu2 [arm armeb]
#		2nd stage bootloader for Linksys NSLU2.
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#
#	- modutils [mips mipsel powerpc]
#		depmod is used to generate a modules.dep for images at
#		build time. For 2.4 kernels.
#	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386]
#		i386 uses upx to compress kernels and other binaries
#		The version is the first one that worked well enough for
#		us.
#	- mkvmlinuz [powerpc ppc64]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl [arm armel]
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#!/usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
ifneq (,$(filter stable oldstable,${SUITE}))
SUITE=etch
endif
ifeq (${SUITE},unstable)
SUITE=etch
endif
ifeq (${SUITE},UNRELEASED)
SUITE=unstable
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		SUITE=$(SUITE) BUILD_DATE=$(DATE) PRESEED_SUITE=
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20070308ubuntu20

=== debian/changelog ===
debian-installer (20070308ubuntu20) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2007 21:31:08 +0100

debian-installer (20070308ubuntu19) gutsy; urgency=low

  * Move to 2.6.22-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2007 16:32:33 +0100

debian-installer (20070308ubuntu18) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2007 21:40:06 +0100

debian-installer (20070308ubuntu17) gutsy; urgency=low

  * Move to 2.6.22-13 kernels.
  * Update help text translations from Launchpad.
  * Update live CD memory requirements to 384 MB. (We will try to get this
    back down for Hardy.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 19:55:08 +0100

debian-installer (20070308ubuntu16) gutsy; urgency=low

  * Enable powerpc/cell subarchitecture.
  * Make ubuntu-modules optional on powerpc, since cell doesn't have it
    (yet?).
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Sep 2007 12:49:15 +0100

debian-installer (20070308ubuntu15) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2007 17:18:11 +0100

debian-installer (20070308ubuntu14) gutsy; urgency=low

  * Rename server to cli, to match cdimage since edgy (LP: #125903). Remove
    now-unnecessary base-installer preseeding.
  * Use genisoimage instead of mkisofs.
  * Move to 2.6.22-12 kernels.
  * Add basic Cell support, but not enabled yet pending the existence of
    udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2007 23:13:44 +0100

debian-installer (20070308ubuntu13) gutsy; urgency=low

  * Move to 2.6.22-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2007 17:29:28 +0100

debian-installer (20070308ubuntu12) gutsy; urgency=low

  * Move to 2.6.22-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Aug 2007 15:25:07 +0100

debian-installer (20070308ubuntu11) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2007 11:48:39 +0100

debian-installer (20070308ubuntu10) gutsy; urgency=low

  * Build-depend on dctrl-tools rather than the transitional package
    grep-dctrl.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Aug 2007 16:29:34 +0100

debian-installer (20070308ubuntu9) gutsy; urgency=low

  * Remove dangling reference to expert mode from live boot screens
    (LP: #48349).
  * Move to 2.6.22-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jul 2007 09:47:11 +0100

debian-installer (20070308ubuntu8) gutsy; urgency=low

  * Publish separate kernel and initrd for sparc64 netboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jul 2007 11:03:45 +0100

debian-installer (20070308ubuntu7) gutsy; urgency=low

  * Fix mismatched XML tags in Basque translation.
  * Switch to dhcp3-client-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jul 2007 23:29:00 +0100

debian-installer (20070308ubuntu6) gutsy; urgency=low

  * Update live CD memory requirements to 256 MB (LP: #120107).
  * Fix double ">" on F6 help page (LP: #122272).
  * Move to 2.6.22-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2007 14:00:40 +0100

debian-installer (20070308ubuntu5) gutsy; urgency=low

  * Move to 2.6.22-7 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 25 Jun 2007 20:15:51 +0200

debian-installer (20070308ubuntu4) gutsy; urgency=low

  * Remove fs-core-modules workaround, as the kernel has now been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jun 2007 12:16:31 +0100

debian-installer (20070308ubuntu3) gutsy; urgency=low

  * Clarify help text about existing swap partitions (LP: #50856).
  * Add oem-config-check to all images.
  * Move to 2.6.22-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jun 2007 08:33:46 +0100

debian-installer (20070308ubuntu2) gutsy; urgency=low

  * Restore missing build/boot/x86/pics/ubuntu* files, lost in merge.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 May 2007 16:10:34 +0100

debian-installer (20070308ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add server boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6. (This may
      be fixed in the future.)
    - Disable GTK frontend.
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add bootchart-udeb to all images.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images and scsi-firmware to cdrom and
      hd-media images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Remove sparc32.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.2
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, debian-archive-keyring (>= 2006.11.22), dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], libgcc1 [amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), mkisofs, genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], modutils [mips mipsel powerpc], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), dctrl-tools, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], libgcc1 [amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), genisoimage, genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -24,12 +25,10 @@
 # 		apt-ftparchive is used for including localudebs.
 #	- gnupg
 #		New versions of apt need gnupg for security checks.
-#	- debian-archive-keyring (>= 2006.11.22)
-#		To provide the archive key for security checks.
 #	- dpkg (>= 1.13.9)
 #		We tweak dpkg logging options only understood by this
 #		version.
-#	- grep-dctrl
+#	- dctrl-tools
 #		Various manipulations of the udeb Packages files.
 #	- bc
 #		Used for some image size calculations.
@@ -37,6 +36,11 @@
 #		partman's manual is in debiandoc.
 #	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 #		For bdftobogl used in font reduction.
+#	- lsb-release
+#		Provides system version information.
+#	- belocs-locales-bin
+#		Used to make sure that installation-locale is using a locale
+#		data format that everything else can understand.
 #	
 # Library build dependencies:
 #	- glibc-pic
@@ -67,7 +71,7 @@
 #		count on it remaining so.
 #	- mklibs (>= 0.1.15)
 #		We use mklibs for library reduction.
-#	- mkisofs
+#	- genisoimage
 #		For making mini isos.
 #	- genromfs [sparc]
 #		Used for creating sparc floppies (which are not built by
@@ -138,10 +142,10 @@
 #	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64]
 #		mcopy is used to put files onto FAT filesystems w/o
 #		mounting them.
+#	- po4a [i386 amd64]
+#	- python [i386 amd64]
+#		For building gfxboot help texts.
 #
-#	- modutils [mips mipsel powerpc]
-#		depmod is used to generate a modules.dep for images at
-#		build time. For 2.4 kernels.
 #	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
 #		depmod for 2.6 kernels on the arches that support 2.6.
 #

=== debian/rules ===
--- 
+++ 
@@ -3,19 +3,16 @@
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
-ifneq (,$(filter stable oldstable,${SUITE}))
-SUITE=etch
-endif
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},unstable)
 SUITE=etch
 endif
 ifeq (${SUITE},UNRELEASED)
-SUITE=unstable
+SUITE=gutsy
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
-DESTDIR=$(ARCHIVEDIR)/$(DATE)
+DESTDIR=$(ARCHIVEDIR)/$(VERSION)
 IMAGEDIR=$(DESTDIR)/images
 TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
@@ -47,7 +44,7 @@
 
 	install -d $(IMAGEDIR)
 	cp -a build/dest/* $(IMAGEDIR)
-	ln -s $(DATE) $(ARCHIVEDIR)/current
+	ln -s $(VERSION) $(ARCHIVEDIR)/current
 
 binary-arch: install  
 	dh_testdir

## debian-installer 20070308ubuntu40

=== debian/changelog ===
debian-installer (20070308ubuntu40) hardy; urgency=low

  * No-change rebuild to pick up new components (choose-mirror,
    console-setup).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Apr 2008 02:02:03 +0100

debian-installer (20070308ubuntu39) hardy; urgency=low

  * Remove documentation of "Check CD for defects"; even in gfxboot we don't
    have enough screen space for it.
  * Resynchronise build/boot/x86/po4a.cfg with our real set of translations.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2008 15:41:32 +0100

debian-installer (20070308ubuntu38) hardy; urgency=low

  * Move to 2.6.24-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2008 15:19:51 +0100

debian-installer (20070308ubuntu37) hardy; urgency=low

  * Put fat-modules back in various cdrom, netboot, and speakup initrds
    (removed in 20061102ubuntu1), since it was split out from
    fs-secondary-modules again.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Apr 2008 15:24:31 +0100

debian-installer (20070308ubuntu36) hardy; urgency=low

  * Move to 2.6.24-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Apr 2008 15:39:40 +0100

debian-installer (20070308ubuntu35) hardy; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 11:44:25 +0100

debian-installer (20070308ubuntu34) hardy; urgency=low

  * Move to 2.6.24-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 10:36:42 +0100

debian-installer (20070308ubuntu33) hardy; urgency=low

  * Move to 2.6.24-12 kernels.
  * Update help text translations from Launchpad.
  * Remove translations for languages not supported by localechooser (and
    therefore unused by gfxboot-theme-ubuntu), specifically: ky mr ms oc ur.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Mar 2008 14:08:13 +0000

debian-installer (20070308ubuntu32) hardy; urgency=low

  * No-change rebuild to pick up new components (busybox 1:1.1.3-5ubuntu12).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Mar 2008 20:07:31 +0000

debian-installer (20070308ubuntu31) hardy; urgency=low

  * Move to 2.6.24-11 kernels.
  * Update help text translations from Launchpad.
  * Adjust help text to refer to gfxboot UI where appropriate (LP: #66881).
  * Update the syslinux live CD F3 help text to talk about live-install
    rather than live-expert.
  * Document "Check CD for defects" boot option (only for gfxboot, due to
    space constraints).
  * Use <literal> rather than <screen> when referring to the boot: prompt in
    the middle of a sentence, to avoid making translators work with sentence
    fragments.
  * Resync syslinux live CD F1 and F5 help page cross-references with
    help.xml (thanks, Steve Langasek; LP: #151127).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 11:46:34 +0000

debian-installer (20070308ubuntu30) hardy; urgency=low

  * Remove powerpc/cell subarchitecture altogether; support for these
    systems is now integrated into powerpc64.
  * Make ubuntu-modules mandatory on powerpc again; it was only made
    optional for cell.
  * Update help text translations from Launchpad.
  * Copy the live CD F4 help text from gfxboot into syslinux display format
    (LP: #195564).
  * Move to 2.6.24-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 18:15:40 +0000

debian-installer (20070308ubuntu29) hardy; urgency=low

  * Move to 2.6.24-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 17 Feb 2008 16:57:01 +0000

debian-installer (20070308ubuntu28) hardy; urgency=low

  * build/config/common: Update for Hardy (oops; fortunately this only
    mattered for manual builds).
  * Move to 2.6.24-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2008 11:24:48 +0000

debian-installer (20070308ubuntu27) hardy; urgency=low

  * Move to 2.6.24-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2008 00:23:09 +0000

debian-installer (20070308ubuntu26) hardy; urgency=low

  * Update copyright years to 2008.
  * Drop powerpc/cell subarchitecture at least for now, as the kernel no
    longer builds it.
  * Move to 2.6.24-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jan 2008 09:20:52 +0000

debian-installer (20070308ubuntu25) hardy; urgency=low

  * Move to 2.6.24-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2008 14:22:44 +0000

debian-installer (20070308ubuntu24) hardy; urgency=low

  * Rebuild-only upload to pick up fixes from udev 0.117-3.

 -- Steve Langasek <slangasek@canonical.com>  Wed, 19 Dec 2007 20:16:28 -0800

debian-installer (20070308ubuntu23) hardy; urgency=low

  * Switch from upx-ucl-beta to upx-ucl, now that it's out of beta.
  * Move to 2.6.24-2 kernels.
  * Encapsulate UTF-8 encoding pain differently in
    build/util/help-to-gfxboot.py. (The resulting code is longer but I think
    the horribleness is better-positioned.)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Dec 2007 21:13:12 +0000

debian-installer (20070308ubuntu22) hardy; urgency=low

  * Backport from trunk (Bastian Blank):
    - Support coming cdebconf frontend changes.
  * Update help text translations from Launchpad.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2007 18:02:12 +0000

debian-installer (20070308ubuntu21) hardy; urgency=low

  * Set default suite to hardy.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2007 22:12:41 +0000

## debian-installer 20070308ubuntu40.4

=== debian/changelog ===
debian-installer (20070308ubuntu40.4) hardy-proposed; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jun 2008 20:02:15 +0100

debian-installer (20070308ubuntu40.3) hardy-proposed; urgency=low

  * Move to 2.6.24-19 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jun 2008 09:00:18 +0100

debian-installer (20070308ubuntu40.2) hardy-proposed; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jun 2008 22:35:05 +0100

debian-installer (20070308ubuntu40.1) hardy-proposed; urgency=low

  * Move to 2.6.24-17 kernels.
  * Reinstate Fabio's changes from dapper-updates:
    - Build against non-release pockets matching the sources.list on the
      buildd.
    - Dump the generated sources.list.udeb to the build log.
  * Bump hd-media image size to 800MB so that Ubuntu ISO images fit on them
    (LP: #225402).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jun 2008 15:50:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.2
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
+XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), dctrl-tools, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], libgcc1 [amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), genisoimage, genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), dctrl-tools, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], libgcc1 [amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), genisoimage, genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386] | upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -152,7 +153,7 @@
 #	- bf-utf-source [!s390 !s390x]
 #		Contains the unicode font we use. Not a udeb since we
 #		perform font reduction at build time.
-#	- upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386]
+#	- upx-ucl (>= 3) [i386] | upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386]
 #		i386 uses upx to compress kernels and other binaries
 #		The version is the first one that worked well enough for
 #		us.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SUITE=etch
 endif
 ifeq (${SUITE},UNRELEASED)
-SUITE=gutsy
+SUITE=hardy
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)

## debian-installer 20070308ubuntu40.7

=== debian/changelog ===
debian-installer (20070308ubuntu40.7) hardy-proposed; urgency=low

  * Move to 2.6.24-23 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Jan 2009 16:24:01 +0000

debian-installer (20070308ubuntu40.6) hardy-proposed; urgency=low

  * Move to 2.6.24-22 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Dec 2008 17:49:31 +0000

debian-installer (20070308ubuntu40.5) hardy-proposed; urgency=low

  * Move to 2.6.24-21 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Sep 2008 21:44:00 +0100
